<? $this->headLink()->appendStylesheet(_st('profile-bumps/main.css?v='.CSS_STATIC_V)) ?>
<? $this->headScript()->prependFile(_st('profile-bumps/main.js?v='.JS_STATIC_V), 'text/javascript')
		->prependFile(_st('powercash-popup.js?v='.JS_STATIC_V), 'text/javascript'); ?>
<script type="text/javascript">
window.addEvent('domready', function () {
	Cubix.ProfileBumps.initBumpAmountUpdate();
	Cubix.ProfileBumps.initBumpCheckout();
});
</script>

<form method="post" action="<?= $this->getLink('ob-profile-bump-checkout') ?>">
	
<div class="gray-box form" id="profile-boost">
	<div class="container">
		<?//= $this->render('profile-bumps/anchor.phtml') ?>
		<!-- <div class="sep"></div>	 -->

		<h1><?= __('bump_title') ?></h1>

		<? if ( ! $this->active_package ): ?>
			<p class='error'><?= __('no_active_package_profile_bump'); ?></p>
		<? else: ?>
		
		<input type="hidden" id="minutes_left_to_package_expiration" value="<?= $this->minutes_left_to_package_end  ?>">
		
		<div id="text-information">
			<p class="bold"><?= __('bump_sub_title') ?></p>
			<p class=""><?= __('bump_how_it_works') ?></p>
			<p class="bump-package-expiraiton strong"><?= __("pv2_alert_package_info_bump", array('PACKAGE_NAME' => $this->active_package['name'], 'date' => $this->active_package['expiration_date']  )) ?></p>
		</div>
		
		<? 	if($this->bump_warning): ?>
			<p style="color:red"><?= __('bump_warning')  ?></p>
		<? endif; ?>

		<div class="city-container">
			<p class="title"><?= __('select_city') ?></p>
			<select name="city_id" id="city-select" class="bump-option-select " >
				<? foreach($this->cities as $city): ?>
					<? if(in_array($city->id, $this->current_bumps_cities)): ?>
						<option disabled value="<?= $city->id ?>"><?= $city->title.' (active)' ?></option>
					<? else: ?>
						<option value="<?= $city->id ?>"><?= $city->title ?></option>
					<? endif; ?>
				<? endforeach; ?>
			</select>
		</div>
		
		<div class="city-container">
			<p class="title"><?= __('select_frequency') ?></p>

			<select name="frequency" id="bumps-frequency" class="bump-option-select " >
				<? foreach($this->bump_hours as $key => $hour): ?>
					<? if($key == 'bump-option-4'): ?>
						<option class="pair-1" data-hour="<?= $hour ?>" value="<?= $key ?>"><?= __('bump_2_per_day_front') ?></option>
					<? elseif($key == 'bump-option-5'): ?>
						<option class="pair-1" data-hour="<?= $hour ?>" value="<?= $key ?>"><?= __('bump_1_per_day_front') ?></option>
					<? elseif($key == 'bump-option-6'): ?>
						<option class="pair-2" data-hour="<?= $hour ?>" <?= $this->optimal_bump_count == 1 ? 'selected' : '' ?> value="<?= $key ?>"><?= __('one_time_bump')  ?></option>
					<? else: ?>
						<option class="pair-1" data-hour="<?= $hour ?>"  value="<?= $key ?>"><?= __('bump_every_hour', array('hours'=>$hour)) ?></option>
					<? endif; ?>
				<? endforeach; ?>
			</select>

			<? if ( $this->frequency_error ): ?>
				<div id="city-error">
					<?= __('bump_frequency_error') ?>
				</div>
			<? endif; ?>
		</div>

		<div class="city-container">
			<p class="title"><?= __('select_bumps_count') ?></p>

			<select name="bumps_count" id="bumps-count-select"  class="bump-option-select " >
				<? foreach($this->bump_prices as $key => $bump_price): ?>
					<option class="pair-<?= ($bump_price->bumps_count == 1 ? 2 : 1) ?>" data-price="<?= $bump_price->price ?>" <?= ($bump_price->bumps_count == $this->optimal_bump_count  ? 'selected' : '' )  ?> value="<?= $bump_price->bumps_count ?>">
						<?= $bump_price->bumps_count ?> bump: <?= $bump_price->price ?> <?= strtoupper($bump_price->currency) ?>
					</option>
				<? endforeach; ?>
			</select>

			<? if ( $this->bumps_count_error ): ?>
				<div id="city-error">
					<?= __('bumps_count_error') ?>
				</div>
			<? endif; ?>
		</div>
		
		<div>
			<ul class="unstyled " style="list-style-type:none;margin-top: 10px;">
				  
			  <li>
			    <input required="" style="margin-top: 5px;" class="styled-checkbox" id="styled-checkbox-2" name="age_confirmation" type="checkbox" value="1" >
			    <label for="styled-checkbox-2" style="width: fit-content;width: max-content; font-weight: normal; margin-right: 10px;font-size: 15px; font-family: OpenSans-Light;"><?= __('confirm_18'); ?></label>
			  </li>

                <li style="width: fit-content;width: max-content;">
                    <input required="" style="margin-top: 5px;" class="styled-checkbox" id="styled-checkbox-3" name="terms_confirmation" type="checkbox" value="1" >
                    <label for="styled-checkbox-3" style="width: fit-content;width: max-content; font-weight: normal; margin-right: 10px;font-size: 15px; font-family: OpenSans-Light;"><?= __('terms_confirmation'); ?></label>
                </li>
			 
			</ul>
		</div>

		<div>
			<p class="title" id="selected-bump-exceed-package-expiration"></p>
		</div>
		<div class="payment-getway-container">
			<p class="title"><?= __('select_bumps_payment_gateway') ?></p>
			<div class="">
			     <div class="bump-getway-option">
                         <p>
                              <input class="bump-payment-getway"  type="radio" id="option-1" name="payment_gateway" value="twispay" checked>
                              <label for="option-1"><?= __('bp_checkout_with_twispay') ?></label>
                        </p>
                        <br>
                         <p>
                             <input class="bump-payment-getway"  type="radio" id="option-2" name="payment_gateway" value="powercash" >
                             <label for="option-2"><?= __('bp_checkout_with_powercash') ?></label>
                         </p>
                    <?/*<p>
                      <input  type="radio" id="option-2" name="payment_gateway" value="powercash">
                      <label for="option-2"><?= __('bp_checkout_with_powercash') ?></label>
                    </p> */ ?>                
                </div>
				<? if ( $this->bumps_gateway_error ): ?>
					<div id="city-error">
						<?= __('bumps_gateway_error') ?>
					</div>
				<? endif; ?>
          </div>
		</div>

		<div class="sep"></div>
		<p id="bump-checkout-errors"></p>
		<div class="bump-total"><div>Total:&nbsp;</div><div id="bump-selected-amount">0</div><div class="currency">&nbsp;EUR</div> </div>
		<? endif; //active package ?>
	
		
		<a class="btn-next btn-bump-checkout "><span class="icon"><?= __('checkout') ?></span></a>
		<div class="clear"></div>
        <? /*<p class="twispay-issue-text"> <?=__('twispay_issue_text')?></p>*/ ?>
        <center style="    padding-top: 40px;    font-size: 15px;"><?= __('bump_purchase_text')  ?></center>
	</div>
</div>

</form>